# preview.h File Reference

Previews an animation. More...

`#include <ETL/handle>`
`#include <ETL/clock>`
`#include <gtkmm/drawingarea.h>`
`#include <gtkmm/table.h>`
`#include <gtkmm/adjustment.h>`
`#include <gtkmm/image.h>`
`#include <gdkmm/pixbuf.h>`
`#include <gtkmm/dialog.h>`
`#include <gtkmm/scrollbar.h>`
`#include <gtkmm/checkbutton.h>`
`#include <gtkmm/canvasview.h>`
`#include <gtkmm/tooltips.h>`
`#include <synfig/time.h>`
`#include <synfig/vector.h>`
`#include <synfig/general.h>`
`#include <synfig/renddesc.h>`
`#include <synfig/canvas.h>`
`#include "widget_sound.h"`
`#include <vector>`

Go to the source code of this file.

## Namespaces

namespace | studio

## Classes

class | studio::Preview
struct | studio::Preview::FlipbookElem
class | studio::Widget_Preview

## Detailed Description

Previews an animation.

$Id$